> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve a required document for a case

GET https://api.letsdeel.com/rest/immigration/workers/{worker_id}/cases/{case_id}/required-document

Retrieves the details of a specific document requirement within a worker's immigration case, including the requirement's current status and information about any previously rejected document.

 **Token scopes**: `worker:read`

Reference: https://developer.deel.com/api/endpoints/immigration/get-worker-case-required-document

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `worker_id` (string, required) — The hris profile oid (public id) of the worker.
- `case_id` (string, required) — The unique identifier of the case for which the required document is being requested.

## Response

### 200

Successful operation.

- `data` (ImmigrationWorkersWorkerIdCasesCaseIdRequiredDocumentGetResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### ImmigrationWorkersWorkerIdCasesCaseIdRequiredDocumentGetResponsesContentApplicationJsonSchemaData

- `id` (string, optional) — The unique identifier of the document requirement.
- `name` (string, optional) — The name of the document requirement to be uploaded.
- `document` (ImmigrationWorkersWorkerIdCasesCaseIdRequiredDocumentGetResponsesContentApplicationJsonSchemaDataDocument, optional)
- `created_at` (string, optional) — Creation date of the document request.
- `updated_at` (string, optional) — Last update date of the document request.
- `description` (string, optional) — A short text description of the document requirement to be uploaded.
- `previous_rejected_document` (ImmigrationWorkersWorkerIdCasesCaseIdRequiredDocumentGetResponsesContentApplicationJsonSchemaDataPreviousRejectedDocument, optional)
- `immigration_document_requirement_id` (string, optional) — The unique identifier of the immigration document requirement.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### ImmigrationWorkersWorkerIdCasesCaseIdRequiredDocumentGetResponsesContentApplicationJsonSchemaDataDocument

- `id` (string, optional) — Unique identifier of the document.
- `name` (string, optional) — The name of the document.
- `status` (enum, optional) — Status of the document.
  - Allowed values: `PENDING`, `IN_REVIEW`, `ACTIVE`, `EXPIRING`, `EXPIRED`
- `expiration_date` (string, optional, nullable) — Expiration date of the document. If document does not expire, it will be null

### ImmigrationWorkersWorkerIdCasesCaseIdRequiredDocumentGetResponsesContentApplicationJsonSchemaDataPreviousRejectedDocument

- `id` (string, optional) — The unique identifier of the document.
- `status` (enum, optional) — Status of the document.
  - Allowed values: `REJECTED`
- `rejection_note` (string, optional, nullable) — A detailed description about why the document was rejected.
- `rejection_reason` (string, optional, nullable) — The reason why the document was rejected.

## Examples

**Response**

```json
{
  "data": {
    "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
    "name": "Proof of employment",
    "document": {
      "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
      "name": "Compliance Document",
      "status": "IN_REVIEW",
      "expiration_date": "2023-10-31"
    },
    "created_at": "2023-10-31T13:45:30Z",
    "updated_at": "2023-10-31T13:45:30Z",
    "description": "Please provide proof of your eligibility to work in Canada.",
    "previous_rejected_document": {
      "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
      "status": "REJECTED",
      "rejection_note": "The document contains incorrect or inconsistent information, which does not match the records of requirements",
      "rejection_reason": "Inaccurate data"
    },
    "immigration_document_requirement_id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/cases/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/required-document"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/cases/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/required-document';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/cases/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/required-document"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/cases/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/required-document")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/cases/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/required-document")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/cases/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/required-document', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/cases/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/required-document");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/cases/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/required-document")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```